import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import { createRouter, createWebHistory } from "vue-router";

import Entries from "./components/unification/Entries/Entries.vue";
import Unification from "./components/unification/Unification/Unification.vue";
import Hierarchy from "./components/unification/hierarchy/Hierarchy.vue";
import FreeLu from "./components/unification/free_lu/FreeLu.vue";
import VerticalRelation from "./components/unification/vertical_relations/VerticalRelation.vue";

const router = createRouter({
  history: createWebHistory(),
  routes: [
    { path: '/:lang/entries/', component: Entries },
    { path: '/:lang/entries/unification/', component: Unification },
    { path: '/:lang/entries/hierarchy/', component: Hierarchy },
    { path: '/:lang/entries/lu_free/', component: FreeLu },
    { path: '/:lang/entries/vertical-relations/', component: VerticalRelation },
    { path: '/:pathMatch(.*)*', component: null, name: '404' },
  ]
});

const app = createApp(App);
let mounted = false;
app.use(router);

window.update_entries = function () {
  if (!mounted) {
    app.mount('#vue-app');
    mounted = true;
  } else if(app._context.config.globalProperties.$entries_list) {
    app._context.config.globalProperties.$entries_list.reset_list();
  }
}
