from django.urls import path

from . import views

app_name = 'vertical_relations'

urlpatterns = [
    path('save_main_vertical_relation/', views.save_main_vertical_relation, name='save_main_vertical_relation'),
    path('ajax_main_vertical_relations/', views.ajax_main_vertical_relations, name='ajax_main_vertical_relations'),
    path('ajax_temporal_vertical_relations/', views.ajax_temporal_vertical_relations,
         name='ajax_temporal_vertical_relations'),
    path('load_vertical_relation/', views.load_vertical_relation, name='load_vertical_relation'),
    path('save_temporal_vertical_relation/', views.save_temporal_vertical_relation,
         name='save_temporal_vertical_relation'),
    path('remove_vertical_relation/', views.remove_vertical_relation, name='remove_vertical_relation'),
    path('save_target_relation/', views.save_target_relation, name='save_target_relation'),
    path('remove_target_relation/', views.remove_target_relation, name='remove_target_relation'),
    path('ajax_vertical_relation_negations/', views.ajax_vertical_relation_negations,
         name='ajax_vertical_relation_negations'),
    path('save_vertical_relation_negation/', views.save_vertical_relation_negation,
         name='save_vertical_relation_negation'),
    path('remove_vertical_relation_negation/', views.remove_vertical_relation_negation,
         name='remove_vertical_relation_negation'),
    path('save_subrelation/', views.save_subrelation, name='save_subrelation'),
    path('remove_subrelation/', views.remove_subrelation, name='remove_subrelation'),
    path('save_iter_relation/', views.save_iter_relation, name='save_iter_relation'),
    path('remove_iter_relation/', views.remove_iter_relation, name='remove_iter_relation'),
    path('change_argument_mapping/', views.change_argument_mapping, name='change_argument_mapping'),

]
